/*General menu*/
.general_dropdown_menu {
   list-style: none;
   margin: 0;
   padding: 0;
   position: relative;
   display: flex;
   gap: 15px;
   padding: 12px;
   padding-left: 0px;
   padding-right: 0px;
   min-height: 57px;
   border: 0px solid #DBDBDB;
   border-radius: 5px;
}



.general_dropdown_menu>li,
.general_dropdown_menu>button {
   display: inline-block;
   position: relative;
   background: none;
   padding: 0;
}

.general_dropdown_menu li,
.general_dropdown_menu button {
   cursor: pointer;
}

.general_dropdown_menu>li:not(.current_page_item):hover>a,
.general_dropdown_menu button:not(.current_page_item):hover {
   background: #FFF;
   border: 1px solid #3383e9;
}

.general_dropdown_menu .sub-menu>li:not(.current_page_item):hover>a,
.general_dropdown_menu .sub-menu>button:not(.current_page_item):hover>a {
   background: #f9f9f9;
   border: 0px solid #3383e9;

}

.general_dropdown_menu>li:not(.menu-item-has-children)>a,
.general_dropdown_menu>li:not(.menu-item-has-children)>button {
   border: 1px solid #e5e5e5;
   border-radius: 3px;
   background: white;
}


.general_dropdown_menu .seperator-filter-by {
   margin-left: 15px;
   margin-right: 15px;
}

.general_dropdown_menu button {
   border: 1px solid #e5e5e5;
   border-radius: 3px;
   background: white;
}

.general_dropdown_menu a,
.general_dropdown_menu button {
   display: block;
   padding: 7px 22px 7px 22px;
   border-radius: 3px;
   text-decoration: none;
   font-size: 14px;
   font-style: normal;
   font-weight: 600;
   line-height: 120%;
   letter-spacing: 0.32px;
   color: #121212;
   transition: all 0.3s;
}

.general_dropdown_menu button {
   padding: 7px 37px 7px 22px;
}

.general_dropdown_menu li.current_page_item>a {
   padding: 7px 37px 7px 22px;
}

.general_dropdown_menu li.menu-item-has-children>a[aria-expanded="true"],
.general_dropdown_menu button.menu-item-has-children[aria-expanded="true"] {
   background: #f9f9f9;
}

.general_dropdown_menu li.current_page_item:not(.skeleton-text) a {
   background: #096BE1;
   border: 1px solid #096BE1;
   color: white;
}

.general_dropdown_menu .sub-menu li.current_page_item:not(.skeleton-text) a {
   border-radius: 0px;
}

.general_dropdown_menu li.current-menu-ancestor:not(.skeleton-text)>button {
   border: 1px solid #3383e9;
   color: #3383e9;
   background: #e7eef8;
}

.general_dropdown_menu .sub-menu {
   list-style: none;
   margin: 0;
   padding: 0;
   position: absolute;
   top: 120%;
   left: 0;
   min-width: 200px;
   background: #fff;
   border: 1px solid #e5e5e5;
   border-radius: 3px;
   box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
   z-index: 1000;
}

.general_dropdown_menu .sub-menu li {
   display: block;
   background: none;
   padding: 0;
   position: relative;
}

/* active state */
.general_dropdown_menu li.current_page_item>a::after,
.general_dropdown_menu li.current_page_item:not(.skeleton-text) a:after {
   content: "";
   display: inline-block;
   width: 10px;
   height: 10px;
   position: absolute;
   top: -1px;
   margin-top: auto;
   margin-bottom: auto;
   bottom: 0;
   right: 18px;
   background-repeat: no-repeat;
   background-size: contain;
   background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns='http://www.w3.org/2000/svg'%20viewBox='0%200%20511.985%20511.985'%3E%3Cg%3E%3Cpath%20d='M500.088%2083.681c-15.841-15.862-41.564-15.852-57.426%200L184.205%20342.148%2069.332%20227.276c-15.862-15.862-41.574-15.862-57.436%200-15.862%2015.862-15.862%2041.574%200%2057.436l143.585%20143.585c7.926%207.926%2018.319%2011.899%2028.713%2011.899%2010.394%200%2020.797-3.963%2028.723-11.899l287.171-287.181c15.862-15.851%2015.862-41.574%200-57.435z'%20fill='%23ffffff'/%3E%3C/g%3E%3C/svg%3E");
}

.general_dropdown_menu .dropdown-toggle[aria-expanded="true"]+.sub-menu {
   display: block;
}

.general_dropdown_menu .dropdown-toggle::after {
   content: "";
   display: inline-block;
   width: 10px;
   height: 10px;
   position: absolute;
   top: -1px;
   margin-top: auto;
   margin-bottom: auto;
   bottom: 0;
   right: 18px;
   background-repeat: no-repeat;
   background-size: contain;
   background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2032%2032%22%3E%3Cpath%20d%3D%22M29.604%2010.528%2017.531%2023.356a2.102%202.102%200%200%201-3.062%200L2.396%2010.528c-.907-.964-.224-2.546%201.1-2.546h25.008c1.324%200%202.007%201.582%201.1%202.546z%22%20fill%3D%22%23000000%22%2F%3E%3C%2Fsvg%3E");
   transition: all 0.3s;
}

.general_dropdown_menu .dropdown-toggle[aria-expanded="true"]::after {
   transform: rotate(180deg);
}

.general_dropdown_menu li.current-menu-ancestor>.dropdown-toggle::after {
   background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2032%2032%22%3E%3Cpath%20d%3D%22M29.604%2010.528%2017.531%2023.356a2.102%202.102%200%200%201-3.062%200L2.396%2010.528c-.907-.964-.224-2.546%201.1-2.546h25.008c1.324%200%202.007%201.582%201.1%202.546z%22%20fill%3D%22%233383e9%22%2F%3E%3C%2Fsvg%3E");
}


.general_dropdown_menu .parent-menu-trigger:not(.skeleton-text)::after {
   content: '';
   width: 100%;
   height: 2px;
   background: transparent;
   display: block;
   position: relative;
   bottom: -10px;
   transition: all 0.3s;
}

.general_dropdown_menu .parent-menu-trigger:not(.skeleton-text):hover::after,
.general_dropdown_menu .parent-menu-trigger:not(.skeleton-text).current-menu-parent::after,
.general_dropdown_menu .parent-menu-trigger:not(.skeleton-text).current_page_item::after {
   background: #3383e9;
}